> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Proxy Contract Verification Status

> Check the status of a proxy contract verification.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "0",
    "message": "NOTOK",
    "result": "The proxy contract at 0xcbdcd3815b5f975e1a2c944a9b2cd1c985a1cb7f does not seem to be verified. Please verify and publish the contract source before proceeding with this proxy verification."
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/checkproxyverification.json GET /v2/api
openapi: 3.1.0
info:
  title: Check Proxy Contract Verification Status
  version: 2.0.0
  description: Check the status of a proxy contract verification.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Check Proxy Contract Verification Status
      description: Check the status of a proxy contract verification.
      operationId: getCheckproxyverification
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to contract for this endpoint.
          schema:
            type: string
            default: contract
          example: contract
        - name: action
          in: query
          required: true
          description: Set to checkproxyverification for this endpoint.
          schema:
            type: string
            default: checkproxyverification
          example: checkproxyverification
        - name: guid
          in: query
          required: true
          description: The GUID received from the proxy verification request.
          schema:
            type: string
          example: gwgrrnfy56zf6vc1fljuejwg6pelnc5yns6fg6y2i6zfpgzquz
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: string
                    description: Result message of the proxy contract verification.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````